Bug 142106 - acpi missing for x86 when configuring kernel
acpi missing for x86 when configuring kernel
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-12-07 07:35 EST by Marc-Christian Petersen
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-03 20:22:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
fix circular dependency (643 bytes, patch)
2004-12-07 07:36 EST, Marc-Christian Petersen
no flags Details | Diff
missing send_IPI_self (1.67 KB, patch)
2004-12-07 07:36 EST, Marc-Christian Petersen
no flags Details | Diff

  None (edit)
Description Marc-Christian Petersen 2004-12-07 07:35:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041001

Description of problem:

I just wanted to compile a 2.4.21-26.EL myself and saw that ACPI was
missing for arch/i386/config.in so I added it (simply including
drivers/acpi/Config.in). Compilation aborted due to missing
include/asm-i386/acpi.h. This is also valid for -25.EL, -20.EL and
probably earlier.

Is this intended?

Beside that, I found one circular dependency which is fixed by
attached patch and missing send_IPI_self when you compile with IOAPIC.
Find attached 2 patches which fixes this.

ciao, Marc

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. compile a kernel yourself

Additional info:
Comment 1 Marc-Christian Petersen 2004-12-07 07:36:05 EST
Created attachment 108034 [details]
fix circular dependency
Comment 2 Marc-Christian Petersen 2004-12-07 07:36:43 EST
Created attachment 108035 [details]
missing send_IPI_self
Comment 3 Ernie Petrides 2004-12-07 16:53:18 EST
Thanks for the patches, Marc.  I seem to recall that there was some good
reason that we don't support ACPI in x86 configs, but I don't remember
the details.  I'll check into this at some point.
Comment 4 Rik van Riel 2004-12-07 21:34:49 EST
Too many broken ACPI bioses, IIRC.

Also, the upstream ACPI x86 codebase didn't work on x86-64 and ia64 at
the time, so we took the ia64 ACPI codebase and added x86-64 bits to
it as we went along - slightly different from the x86 acpi codebase at
the time.
Comment 5 Ernie Petrides 2005-06-03 20:22:56 EDT
Okay, so the bottom line is that CONFIG_ACPI is not supported on x86.

Note You need to log in before you can comment on or make changes to this bug.